Package org.eclipse.ui.operations

# Class UndoActionHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.operations.OperationHistoryActionHandler
org.eclipse.ui.operations.UndoActionHandler

All Implemented Interfaces:
  `IAdaptable`, `IAction`, `ActionFactory.IWorkbenchAction`

public final class UndoActionHandler extends OperationHistoryActionHandler

UndoActionHandler provides common behavior for performing an undo, as well as labelling and enabling the undo menu item. This class may be instantiated by clients.

Since:
  3.1

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`UndoActionHandler(IWorkbenchPartSite site, IUndoContext context)`
Construct an action handler that handles the labelling and enabling of the undo action for the specified undo context.

## Method Summary

### Methods inherited from class org.eclipse.ui.operations.OperationHistoryActionHandler

`dispose, getAdapter, run, setContext, setPruneHistory, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

## Constructor Details

### UndoActionHandler

public UndoActionHandler(IWorkbenchPartSite site, IUndoContext context)
Construct an action handler that handles the labelling and enabling of the undo action for the specified undo context.

Parameters:
  `site` - the workbench part site that created the action.
  `context` - the undo context to be used for the undo